✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/gift-card-orders/{giftCardOrder} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"gift_card_id": 123,
"gift_card_offer_id": 123,
"region_id": 123,
"brand_id": 123,
"buyer": {
"id": 123,
"username": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"quantity": 123,
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"status": "pending",
"keys": [
{
"id": 123,
"gift_card_order_id": 123,
"key": "<string>",
"type": {
"value": "text",
"name": "<string>"
},
"created_at": 123,
"revealed_at": 123
}
],
"created_at": 123,
"updated_at": 123,
"completed_at": 123,
"refunded_at": 123
}
}Retrieve detailed information about a specific gift card order.
curl --request GET \
--url https://api.gameboost.com/v2/gift-card-orders/{giftCardOrder} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"gift_card_id": 123,
"gift_card_offer_id": 123,
"region_id": 123,
"brand_id": 123,
"buyer": {
"id": 123,
"username": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"quantity": 123,
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"status": "pending",
"keys": [
{
"id": 123,
"gift_card_order_id": 123,
"key": "<string>",
"type": {
"value": "text",
"name": "<string>"
},
"created_at": 123,
"revealed_at": 123
}
],
"created_at": 123,
"updated_at": 123,
"completed_at": 123,
"refunded_at": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?